Name:           protobuf-c
Version:        1.4.1
Release:        1
Summary:        This is protobuf-c, a C implementation of the Google Protocol Buffers data serialization format
License:        BSD-2-Clause
URL:            https://github.com/protobuf-c/protobuf-c
Source0:	%{url}/archive/refs/tags/v%{version}.tar.gz
BuildRequires:  autoconf automake libtool gcc-c++ pkgconfig(protobuf)
Provides:       %{name}-compiler = %{version}-%{release}
Obsoletes:      %{name}-compiler < %{version}-%{release}

Patch6000:	backport-Update-autotools.patch
Patch6001:	backport-configure.ac-Require-C-17.patch
Patch6002:	backport-protoc-c-Remove-GOOGLE_DISALLOW_EVIL_CONSTRUCTORS-ma.patch
Patch6003:	backport-protoc-c-Use-FileDescriptorLegacy-to-obtain-proto-sy.patch
Patch6004:	backport-configure.ac-Remove-proto3_supported-BUILD_PROTO3.patch
Patch6005:	backport-Makefile.am-Remove-conditional-BUILD_PROTO3-rules.patch
Patch6006:	backport-protoc-c-c_file.cc-Remove-HAVE_PROTO3-conditional.patch
Patch6007:	backport-protoc-c-c_helpers.h-Remove-HAVE_PROTO3-conditional.patch
Patch6008:	backport-cmake-Remove-BUILD_PROTO3-HAVE_PROTO3.patch
Patch6009:	backport-configure.ac-Drop-Wc99-c11-compat.patch
Patch6010:	backport-Work-around-GOOGLE_-changes-in-protobuf-22.0.patch
Patch6011:	backport-Use-GOOGLE_LOG-FATAL-instead-of-GOOGLE_LOG-DFATAL.patch

%description
This is protobuf-c, a C implementation of the Google Protocol Buffers data serialization format.


%package devel
Summary:        Development files for protobuf-c library
Requires:       %{name} = %{version}-%{release} %{name}-compiler = %{version}-%{release}

%description devel
Protobuf-c-devel contains development files for protobuf-c.

%prep
%autosetup -n %{name}-%{version} -p1

%build
autoreconf -ifv
%configure --disable-static
%make_build

%check
make check

%install
%make_install
%delete_la

%ldconfig_scriptlets

%files
%doc TODO LICENSE ChangeLog
%{_libdir}/libprotobuf-c.so.*
%{_bindir}/{protoc-c,protoc-gen-c}

%files devel
%dir %{_includedir}/google
%{_includedir}/{google/protobuf-c/,protobuf-c/}
%{_libdir}/{libprotobuf-c.so,pkgconfig/libprotobuf-c.pc}

%changelog
* Tue Feb 27 2024 liuchao <liuchao173.huawei.com> - 1.4.1-1
- downgrade to 1.4.1 to match the 24.03 LTS's minimum set of core packages

* Wed Jan 24 2024 liuchao <liuchao173.huawei.com> - 1.5.0-1
- upgrade to 1.5.0:
  - Makefile.am: change link order
  - GitHub actions fail on Windows due to missing unzip command
  - Export and install CMake targets
  - Use CMAKE_CURRENT_BINARY_DIR instead of CMAKE_BINARY_DIR
  - remove deprecated functionality
  - Avoid "unused variable" compiler warning
  - Update autotools
  - Support for new Google protobuf 22.x, 23.x releases
  - Miscellaneous fixes
  - Remove protobuf 2.x support
  - Silence some compiler diagnostics
  - Fixing MSVC build for Msbuild and Makefile generators

* Thu Feb 2 2023 zhoujie<zhoujie133@huawei.com> - 1.4.1-1
- Type:upgrade
- CVE:NA
- SUG:NA
- DESC:upgrade to 1.4.1-1

* Sat Jan 7 2023 mengwenhua<mengwenhua@xfusion.com> - 1.4.0-4
- Type:bugfix
- CVE:NA
- SUG:NA
- DESC:fix unsigned integer overflow

* Mon Jul 4 2022 dengyuyu <yuyu.deng@epro.com.cn> - 1.4.0-3
- fix CVE-2022-33070

* Tue May 10 2022 Ge Wang <wangge20@h-partner.com> - 1.4.0-2
- License compliance rectification

* Thu Dec 02 2021 wujing <wujing50@huawei.com> - 1.4.0-1
- Type:upgrade
- ID:NA
- SUG:NA
- DESC: upgrade to 1.4.0-1

* Fri Feb 14 2020 Senlin Xia <xiasenlin1@huawei.com> - 1.3.2-2
- Package init
